Bug Hunting Session
Bug 125923 - Numbering and Bullets dialog Revert button closes window instead of reverting changes on Impress
Summary: Numbering and Bullets dialog Revert button closes window instead of reverting...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords:
Depends on:
Blocks: Impress-Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2019-06-14 13:57 UTC by Gülşah Köse
Modified: 2019-08-13 16:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2019-06-14 13:57:42 UTC
Description:
Numbering and Bullets dialog Revert button closes window instead of reverting changes on Impress

Steps to Reproduce:
1. Open Impress
2. Open Numbering and Bullets dialog from Format->Numbering and Bullets...
3. Change Bullet color.
4. Click Revert button

Actual Results:
Dialog closes

Expected Results:
The choice of color should return to its original state.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Aron Budea 2019-06-14 17:45:48 UTC
Confirmed with LO 6.4.0.0.alpha0+ (846c68876c214d501bf163eede4288d7a307ec8a) / Ubuntu 18.04.

Is there a particular reason behind calling it Revert? This button is called Reset on other dialogs.
Comment 2 Commit Notification 2019-07-26 04:43:09 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/15664117ef4db51bdcabb46b7990573509da0d73%5E%21

tdf#125923 Fix reset button.

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-08-13 15:59:59 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 2812610f4f39ed5892da08864893c758325d1d39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Gülşah Köse, thanks for fixing this issue!
Comment 4 Commit Notification 2019-08-13 16:03:49 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/7558ad766b8a03ef3d16205a506dbeb414b3328f%5E%21

tdf#125923 Fix reset button.

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.